## ydiff 1.2

=== Makefile ===
# Makefile for testing

TESTPYPI = pypitest
PYPI = pypi

.PHONY: dogfood lint doc-check doc-preview clean build dist-test dist \
	test test3 cov cov3 html reg reg3 profile profile3

dogfood:
	./ydiff.py
	git diff | ./ydiff.py -s

lint:
	pep8 --ignore=E203 *.py tests/*.py

doc-check:
	./setup.py --long-description | rst2html.py --strict > /dev/null

doc-preview:
	./setup.py --long-description | rst2html.py --strict > output.html
	python -m webbrowser -n "file://$(shell pwd)/output.html"
	sleep 1
	rm -f output.html

test: lint doc-check cov reg

test3: lint doc-check cov3 reg3

cov:
	coverage run tests/test_ydiff.py
	coverage report --show-missing

cov3:
	python3 `which coverage` run tests/test_ydiff.py
	python3 `which coverage` report --show-missing

html:
	coverage html
	python -m webbrowser -n "file://$(shell pwd)/htmlcov/index.html"

reg:
	tests/regression.sh

reg3:
	PYTHON=python3 tests/regression.sh

profile:
	tests/profile.sh profile.tmp

profile3:
	tests/profile.sh profile3.tmp

clean:
	rm -f MANIFEST profile*.tmp* .coverage
	rm -rf build/ ydiff.egg-info/ dist/ __pycache__/ htmlcov/

build:
	./setup.py build sdist

dist-test: clean build
	twine upload --repository-url https://test.pypi.org/legacy/ dist/*
	rm -f ~/.pypirc

dist: clean build
	twine upload dist/*
	rm -f ~/.pypirc

# vim:set noet ts=8 sw=8:

=== requirements.txt ===
docutils
pep8
Pygments==1.6
coverage==5.2.1

=== debian/changelog ===
ydiff (1.2-2) unstable; urgency=medium

  * Update to new ydiff version 1.2

 -- root <root@e914bae4f317>  Fri, 08 Nov 2024 13:00:51 +0000

ydiff (1.2-0) unstable; urgency=medium

  * Initial upload.

 -- Evgeniy Patlan <evgeniy.patlan@percona.com>  Thu, 15 Oct 2020 09:30:41 +0200

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=ydiff

%:
	dh $@ --with=python3 --buildsystem=pybuild

override_dh_builddeb:
	dh_builddeb -- -Zgzip


override_dh_auto_install:
	dh_auto_install
	rm -f debian/python*-ydiff/usr/bin/ydiff

## ydiff 1.3

=== debian/changelog ===
ydiff (1.3-1) unstable; urgency=medium

  * New upstream release.
  * Rename package to ydiff following upstream. (Closes: #1081715)
  * debian/control (python3-cdiff): Add transitional package.
  * debian/watch: Updated.

 -- Michael Banck <mbanck@debian.org>  Thu, 19 Sep 2024 22:56:36 +0200

cdiff (1.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop python2 support; Closes: #936278

 -- Sandro Tosi <morph@debian.org>  Fri, 04 Oct 2019 21:34:13 -0400

cdiff (1.0-1) unstable; urgency=medium

  * Initial upload. (Closes: #875553)

 -- Michael Banck <mbanck@debian.org>  Wed, 13 Sep 2017 09:30:41 +0200

## ydiff 1.4.2

=== Makefile ===
# Makefile for testing

SHELL := bash

.PHONY: dogfood lint doc-check doc-preview clean build dist-test dist \
	test cov html reg profile

dogfood:
	./ydiff.py -u
	git diff | ./ydiff.py -s

lint:
	pycodestyle --ignore=E203,W503,W504 *.py */*.py

doc-check:
	./setup.py --long-description | rst2html.py --strict > /dev/null

doc-preview:
	./setup.py --long-description | rst2html.py --strict > output.html
	python3 -m webbrowser -n "file://$(shell pwd)/output.html"
	sleep 1
	rm -f output.html

test: lint doc-check cov reg

cov:
	coverage run tests/test_ydiff.py
	coverage report --show-missing

html:
	coverage html
	python3 -m webbrowser -n "file://$(shell pwd)/htmlcov/index.html"

reg:
	tests/regression.sh

profile:
	tests/profile.sh $(shell for x in {0..99}; do echo tests/*/in.diff; done)

profile-difflib:
	tests/profile.sh tests/large-hunk/tao.diff

clean:
	rm -f MANIFEST profile*.tmp* .coverage
	rm -rf build/ ydiff.egg-info/ dist/ __pycache__/ htmlcov/

build:
	./setup.py build sdist

# Expected to run outside docker with twine installed via pip
dist-test: docker-test-min-python3 docker-test clean build
	~/.local/bin/twine upload --repository=testpypi dist/ydiff-*.tar.gz
	rm -f ~/.pypirc

# Expected to run outside docker with twine installed via pip
dist: docker-test-min-python3 docker-test clean build
	~/.local/bin/twine upload dist/ydiff-*.tar.gz
	rm -f ~/.pypirc

MIN_PY_VERSION ?= 3.3
docker-test-min-python3:
	docker run -v $(shell pwd):$(shell pwd) -w $(shell pwd) -t --rm \
		python:$(MIN_PY_VERSION)-alpine /bin/sh -ec \
		'apk add -U bash git less make; pip install --trusted-host pypi.python.org -r requirements-dev.txt; make test'

docker-test:
	docker run -v $(shell pwd):$(shell pwd) -w $(shell pwd) -t --rm \
		python:3-alpine /bin/sh -ec \
		'apk add bash git less make; pip install -r requirements-dev.txt; make test'

docker-shell:
	docker run -v $(shell pwd):$(shell pwd) -w $(shell pwd) -it --rm -P \
		python:3-alpine /bin/sh -xc \
		'apk add bash git less make; pip install -r requirements-dev.txt; exec /bin/sh'

# vim:set noet ts=8 sw=8:

=== debian/changelog ===
ydiff (1.4.2-1) unstable; urgency=medium

  * New upstream release.
  * Acknowledge NMU. 
  * debian/tests: Added autopkgtests.

 -- Michael Banck <mbanck@debian.org>  Sat, 23 Nov 2024 15:06:36 +0100

ydiff (1.3-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No change source-only upload for testing migration.

 -- Boyuan Yang <byang@debian.org>  Sat, 23 Nov 2024 08:19:38 -0500

=== debian/control ===
Source: ydiff
Section: python
Priority: optional
Maintainer: Michael Banck <mbanck@debian.org>
Build-Depends:
 debhelper (>= 9),
 dh-python,
 python3-all,
 python3-setuptools
Standards-Version: 3.9.8

Package: python3-ydiff
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Provides: python3-cdiff (= 1.0-1.1)
Replaces: python3-cdiff (<< 1.1-1~)
Breaks: python3-cdiff (<< 1.1-1~)
Suggests:
Description: Colored, incremental diff with side by side and auto pager support (Python 3)
 Ydiff is a python module to view colored, incremental diff in a Git/Mercurial/
 Svn workspace or from stdin, with side by side and auto pager support.

Package: python3-cdiff
Depends: python3-ydiff, ${misc:Depends}
Architecture: all
Section: oldlibs
Description: Colored, incremental diff (transitional package)
 This is a transitional package. It can safely be removed.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=ydiff

%:
	dh $@ --with=python3 --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
	rm -f debian/python*-ydiff/usr/bin/ydiff

=== debian/tests/control ===
Depends:
 @,
 git,
 less,
 subversion,
Test-Command: debian/tests/regression

Depends:
 @,
 git,
Test-Command: debian/tests/unittest
Restrictions: allow-stderr

=== debian/watch ===
version=3
https://github.com/ymattw/cdiff/tags .*/v?(\d\S+)\.tar\.gz
